Subject: Re: [EGIT PATCH 1/3] FindToolbar port to the new history page.

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 7 Apr 2008 01:19:08 -0400

"Roger C. Soares" <[email-masked]> wrote:
> This is a port from the find toolbar to the new history page.
> It is replacing the current highlight flag in order to have the
> find feature back but most of the code from the toolbar shall be
> replaced to make use of the new infrastructure added into jgit
> (RevFlag and RevFilter).
...
> I'm reseding the toolbar port with the fixes for the items you mentioned.
> It's on top of 009f11e2c8971b6053, don't know if it would have been better
> to rebase it, just let me know.

Well, I just rebased my entire tree, and then plopped your four
patches (these three plus 009f) on top of it.  So no need to rebase.
There was a very minor merge conflict, easily fixed, no worries.

> Patch 3/3 is something I've come up to remove the Map hit in the paint
> method. As you said you were going to revisit the jgit API soon I didn't
> want to do something too elaborated that will be dumped soon. I'm
> manipulating RevFlags directly from the find toolbar, so if you don't
> like just ignore it.

Its better.  I'd like to be able to use more of RevFilter in the
search, but as you pointed out support isn't all there yet.

I'm taking in this series as is.  We can improve on it further later.

Thanks.

-- 
Shawn.